<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>List Approval Kendaraan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>List peminjaman kendaraan data yang di setujui</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <a th:href="@{/approval/peminjamanSapras/kendaraan}" class="btn btn-danger btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                    <a th:href="@{/approval/peminjamanSapras/listKendaraan(status = 'BELUM_DIBAYAR')}" th:if="${status == 'BELUM_DIBAYAR'}" class="btn btn-primary btn-block">Belum Bayar</a>
                                    <a th:href="@{/approval/peminjamanSapras/listKendaraan(status = 'BELUM_DIBAYAR')}"  th:if="${status != 'BELUM_DIBAYAR'}" class="btn btn-secondary btn-block">Belum Bayar</a>
                                </div>
                                <div class="col-md-4">
                                    <a th:href="@{/approval/peminjamanSapras/listKendaraan(status = 'SUDAH_DIBAYAR')}" th:if="${status == 'SUDAH_DIBAYAR'}" class="btn btn-primary btn-block">Sudah Bayar</a>
                                    <a th:href="@{/approval/peminjamanSapras/listKendaraan(status = 'SUDAH_DIBAYAR')}" th:if="${status != 'SUDAH_DIBAYAR'}" class="btn btn-secondary btn-block">Sudah Bayar</a>
                                </div>
                                <div class="col-md-4">
                                    <a href="" class="btn btn-secondary btn-block">Selesai</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Pengaju</th>
                                        <th>Kendaraan yang dipinjam</th>
                                        <th>Tanggal Pinjam</th>
                                        <th>Keperluan</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${list}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.karyawan.namaKaryawan}"></td>
                                        <td th:text="${data.idMobil.merek}"></td>
                                        <td th:text="${data.tanggalPinjam}"></td>
                                        <td th:text="${data.keperluan}"></td>
                                        <td th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}"><span class="btn btn-warning btn-sm">Belum Dibayar</span></td>
                                        <td th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}"><span class="btn btn-success btn-sm">Sudah Dibayar</span></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>